weka.classifiers.bayes.net

## Class MarginCalculator.JunctionTreeNode

- java.lang.Object
- - weka.classifiers.bayes.net.MarginCalculator.JunctionTreeNode

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler
  Enclosing class:
    MarginCalculator

      public class MarginCalculator.JunctionTreeNode
      extends java.lang.Object
      implements java.io.Serializable, RevisionHandler

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Vector<MarginCalculator.JunctionTreeNode>` | `m_children`
    `int[]` | `m_nNodes` nodes of the Bayes net in this junction node

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildClique(MarginCalculator.JunctionTreeNode child)`
    `java.lang.String` | `getRevision()` Returns the revision string.
    `void` | `initializeDown(boolean recursively)`
    `void` | `initializeUp()`
    `void` | `setEvidence(int nNode, int iValue)`
    `void` | `setParentSeparator(MarginCalculator.JunctionTreeSeparator parentSeparator)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### m_nNodes

          public int[] m_nNodes

      nodes of the Bayes net in this junction node

    - #### m_children

          public java.util.Vector<MarginCalculator.JunctionTreeNode> m_children

  - ### Method Detail

    - #### setParentSeparator

          public void setParentSeparator(MarginCalculator.JunctionTreeSeparator parentSeparator)

    - #### addChildClique

          public void addChildClique(MarginCalculator.JunctionTreeNode child)

    - #### initializeUp

          public void initializeUp()

    - #### initializeDown

          public void initializeDown(boolean recursively)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setEvidence

          public void setEvidence(int nNode,
                                  int iValue)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision